Subject: Re: [bug#31458] [PATCH] union: Do not warn about harmless collissions.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 17 May 2018 10:50:45 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> On Wed, 16 May 2018 10:57:57 +0200
> [email-masked] (Ludovic Courtès) wrote:

[...]

>> > Shouldn't there be a profile hook for it instead?  There doesn't seem to be one.  
>> 
>> Maybe, yes, though I’m not sure how that’d work (and would it be fast
>> enough?).
>
> I wrote one in bug 31462.  Seems to be quite fast.  But let's think about whether
> we want it, and whether we want it in addition to the wrapper.
>
> (libreoffice works with it now FWIW)

Awesome!

>> This seems to be orthogonal to this patch, though: we can remove the
>> collision warnings for these files today, because there’s nothing users
>> can do about them and they’re effectively harmless, and later on, if we
>> have better gschemas.compiled handling, we can always let them through
>> again.
>
> Yeah, I just wanted to make sure we are not hiding them if they are the only
> indication that something will break horribly with the program.
> (see libreoffice)

Sure, that makes sense.  In this particular case the gschemas.compiled
collision did not tell us much: some applications (e.g., Evince) would
work fine because they used glib-or-gtk-build-system, while others
(e.g., LibreOffice) would fail.

> But since the wrapper needs gschemas.compiled, we can't use it as indicator
> for missing-glib-or-gtk-build-system anyway, so:
>
> LGTM!

Alright, committed!  :-)

Thank you,
Ludo’.